Package org.apache.commons.beanutils2.sql.converters

# Class SqlTimeConverter

java.lang.Object
org.apache.commons.beanutils2.converters.AbstractConverter<Time>
org.apache.commons.beanutils2.converters.DateTimeConverter<Time>
org.apache.commons.beanutils2.sql.converters.SqlTimeConverter

All Implemented Interfaces:
  `Converter<Time>`

public final class SqlTimeConverter extends DateTimeConverter<Time>
`DateTimeConverter` implementation that handles conversion to and from java.sql.Time objects.

This implementation can be configured to handle conversion either by using java.sql.Time's default String conversion, or by using a Locale's default format or by specifying a set of format patterns. See the `DateTimeConverter` documentation for further details.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SqlTimeConverter()`
  Constructs a java.sql.Time Converter that throws a `ConversionException` if an error occurs.
  `SqlTimeConverter(Time defaultValue)`
  Constructs a java.sql.Time Converter that returns a default value if an error occurs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<Time>`
  `getDefaultType()`
  Gets the default type this `Converter` handles.
  `protected DateFormat`
  `getFormat(Locale locale, TimeZone timeZone)`
  Gets a `DateFormat` for the Locale.

  ### Methods inherited from class org.apache.commons.beanutils2.converters.DateTimeConverter

  `convertToString, convertToType, getLocale, getPatterns, getTimeZone, setLocale, setPattern, setPatterns, setTimeZone, setUseLocaleFormat, toString`

  ### Methods inherited from class org.apache.commons.beanutils2.converters.AbstractConverter

  `conversionException, convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue, toLowerCase, toString, toTrim`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SqlTimeConverter

    public SqlTimeConverter()
    Constructs a java.sql.Time Converter that throws a `ConversionException` if an error occurs.

  - ### SqlTimeConverter

    public SqlTimeConverter(Time defaultValue)
    Constructs a java.sql.Time Converter that returns a default value if an error occurs.
    Parameters:
      `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

- ## Method Details

  - ### getDefaultType

    protected Class<Time> getDefaultType()
    Gets the default type this `Converter` handles.
    Specified by:
      `getDefaultType` in class `AbstractConverter<Time>`
    Returns:
      The default type this `Converter` handles.
    Since:
      1.8.0

  - ### getFormat

    protected DateFormat getFormat(Locale locale, TimeZone timeZone)
    Description copied from class: `DateTimeConverter`
    Gets a `DateFormat` for the Locale.
    Overrides:
      `getFormat` in class `DateTimeConverter<Time>`
    Parameters:
      `locale` - The Locale to create the Format with (may be null)
      `timeZone` - The Time Zone create the Format with (may be null)
    Returns:
      A Date Format.
    Since:
      1.8.0